unit Client13;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Menus;

type
  TForm13 = class(TForm)
    ListView6: TListView;
    StatusBar1: TStatusBar;
    MainMenu1: TMainMenu;
    View1: TMenuItem;
    Exit1: TMenuItem;
    Listen1: TMenuItem;
    StartListening1: TMenuItem;
    StopListening1: TMenuItem;
    N1: TMenuItem;
    Clear1: TMenuItem;
    procedure StartListening1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure StopListening1Click(Sender: TObject);
    procedure Clear1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form13: TForm13;

implementation

uses Shared1, Client1;

{$R *.DFM}

procedure TForm13.StartListening1Click(Sender: TObject);
var Port: string;
begin

Port := '31337';

if InputQuery('UDP Listener', 'Port to listen for UDP packets on:', Port) then
begin
StartListening1.Enabled := false;
StopListening1.Enabled := true;
Form1.Send(['RUDP', Port]);
StatusBar1.SimpleText := 'Wait...';
end;

end;

procedure TForm13.Exit1Click(Sender: TObject);
begin
Close;
end;

procedure TForm13.StopListening1Click(Sender: TObject);
begin
StartListening1.Enabled := true;
StopListening1.Enabled := false;
Form1.Send(['XRUDP']);
StatusBar1.SimpleText := 'Wait...';
end;

procedure TForm13.Clear1Click(Sender: TObject);
begin
ListView6.Items.BeginUpdate;
ListView6.Items.Clear;
ListView6.Items.EndUpdate;
end;

end.
