unit Client10;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, Menus, ImgList, StdCtrls;

type
  TForm10 = class(TForm)
    MainMenu1: TMainMenu;
    View1: TMenuItem;
    Refresh1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    ListView1: TListView;
    StatusBar1: TStatusBar;
    Memo1: TMemo;
    PopupMenu1: TPopupMenu;
    Windows1: TMenuItem;
    N2: TMenuItem;
    Minimize1: TMenuItem;
    Restore1: TMenuItem;
    N3: TMenuItem;
    HidefromTaskbar1: TMenuItem;
    ShowTaskbarButton1: TMenuItem;
    ChangeTaskbarButtonText1: TMenuItem;
    N4: TMenuItem;
    TerminateApp1: TMenuItem;
    SwitchTo1: TMenuItem;
    RawProcessList1: TMenuItem;
    procedure Refresh1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure ListView1DblClick(Sender: TObject);
    procedure ListView1SelectItem(Sender: TObject; Item: TListItem;
      Selected: Boolean);
    procedure RawProcessList1Click(Sender: TObject);
    procedure Minimize1Click(Sender: TObject);
    procedure Restore1Click(Sender: TObject);
    procedure HidefromTaskbar1Click(Sender: TObject);
    procedure ShowTaskbarButton1Click(Sender: TObject);
    procedure ChangeTaskbarButtonText1Click(Sender: TObject);
    procedure TerminateApp1Click(Sender: TObject);
    procedure SwitchTo1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form10: TForm10;

implementation

uses Client1, Client11, Client29;

{$R *.DFM}

procedure TForm10.Refresh1Click(Sender: TObject);
begin
Statusbar1.SimpleText := 'Refreshing...';
Form1.Send(['AppList']);
ListView1.Items.BeginUpdate;
ListView1.Items.Clear;
ListView1.Items.EndUpdate;
Memo1.Lines.Clear;
end;

procedure TForm10.Exit1Click(Sender: TObject);
begin
Close;
end;

procedure TForm10.ListView1DblClick(Sender: TObject);
begin

if ListView1.Selected <> nil then
begin
ChildWindowHandle := Memo1.Lines[ListView1.Selected.Index];
Form11.Caption := ListView1.Selected.Caption + ' - Windows';
Form11.Show;
Form11.Refresh1.Click;
end;

end;

procedure TForm10.ListView1SelectItem(Sender: TObject; Item: TListItem;
  Selected: Boolean);
begin
PopupMenu1.AutoPopup := Selected;
end;

procedure TForm10.RawProcessList1Click(Sender: TObject);
begin
Form29.Show;
end;

procedure TForm10.Minimize1Click(Sender: TObject);
begin
Form1.Send(['WP', 'Mn', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm10.Restore1Click(Sender: TObject);
begin
Form1.Send(['WP', 'R', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm10.HidefromTaskbar1Click(Sender: TObject);
begin
Form1.Send(['WP', 'H', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm10.ShowTaskbarButton1Click(Sender: TObject);
begin
Form1.Send(['WP', 'S', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm10.ChangeTaskbarButtonText1Click(Sender: TObject);
var S: string;
begin

S := ListView1.Selected.Caption;

if InputQuery('Change Taskbar Button Text', 'New button text:', S) then
Form1.Send(['WP', 'C', Memo1.Lines[ListView1.Selected.Index], S]);

end;

procedure TForm10.TerminateApp1Click(Sender: TObject);
begin
Form1.Send(['WP', 'T', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm10.SwitchTo1Click(Sender: TObject);
begin
Form1.Send(['WP', 'F', Memo1.Lines[ListView1.Selected.Index]]);
end;

end.
