unit Client11;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ImgList, ComCtrls, StdCtrls;

type
  TForm11 = class(TForm)
    StatusBar1: TStatusBar;
    ListView1: TListView;
    MainMenu1: TMainMenu;
    View1: TMenuItem;
    Refresh1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Memo1: TMemo;
    PopupMenu1: TPopupMenu;
    Minimize1: TMenuItem;
    Maximize1: TMenuItem;
    Restore1: TMenuItem;
    N3: TMenuItem;
    SwitchTo1: TMenuItem;
    Terminate1: TMenuItem;
    N4: TMenuItem;
    ChangeText1: TMenuItem;
    procedure Refresh1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Minimize1Click(Sender: TObject);
    procedure Maximize1Click(Sender: TObject);
    procedure Restore1Click(Sender: TObject);
    procedure SwitchTo1Click(Sender: TObject);
    procedure Terminate1Click(Sender: TObject);
    procedure ChangeText1Click(Sender: TObject);
    procedure ListView1SelectItem(Sender: TObject; Item: TListItem;
      Selected: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form11: TForm11;
  ChildWindowHandle: String;

implementation

uses Client1, Client10;

{$R *.DFM}

procedure TForm11.Refresh1Click(Sender: TObject);
begin
Statusbar1.SimpleText := 'Refreshing...';
Form1.Send(['WndList', ChildWindowHandle]);
ListView1.Items.BeginUpdate;
ListView1.Items.Clear;
ListView1.Items.EndUpdate;
Memo1.Lines.Clear;
end;

procedure TForm11.Exit1Click(Sender: TObject);
begin
Close;
end;

procedure TForm11.Minimize1Click(Sender: TObject);
begin
Form1.Send(['WP', 'Mn', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm11.Maximize1Click(Sender: TObject);
begin
Form1.Send(['WP', 'Mx', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm11.Restore1Click(Sender: TObject);
begin
Form1.Send(['WP', 'R', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm11.SwitchTo1Click(Sender: TObject);
begin
Form1.Send(['WP', 'F', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm11.Terminate1Click(Sender: TObject);
begin
Form1.Send(['WP', 'T', Memo1.Lines[ListView1.Selected.Index]]);
end;

procedure TForm11.ChangeText1Click(Sender: TObject);
var S: string;
begin

S := ListView1.Selected.Caption;

if InputQuery('Change Title', 'New title:', S) then
Form1.Send(['WP', 'C', Memo1.Lines[ListView1.Selected.Index], S]);

end;

procedure TForm11.ListView1SelectItem(Sender: TObject; Item: TListItem;
  Selected: Boolean);
begin
PopupMenu1.AutoPopup := Selected;
end;

end.
