unit Client17;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, Menus;

type
  TForm17 = class(TForm)
    StatusBar1: TStatusBar;
    ListView4: TListView;
    MainMenu1: TMainMenu;
    View1: TMenuItem;
    Exit1: TMenuItem;
    Start1: TMenuItem;
    Stop1: TMenuItem;
    N1: TMenuItem;
    Clear1: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure Stop1Click(Sender: TObject);
    procedure Clear1Click(Sender: TObject);
    procedure Sniff(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form17: TForm17;

implementation

uses Client1;

{$R *.DFM}

procedure TForm17.Sniff(Sender: TObject);
begin
Form1.Send(['Sniff', '1', IntToStr((Sender as TMenuItem).MenuIndex)]);
Stop1.Enabled := true;
Start1.Enabled := false;
StatusBar1.SimpleText := 'Wait...';
end;

procedure TForm17.Exit1Click(Sender: TObject);
begin
Close;
end;

procedure TForm17.Stop1Click(Sender: TObject);
begin
Form1.Send(['Sniff', '0']);
Stop1.Enabled := false;
Start1.Enabled := true;
StatusBar1.SimpleText := 'Wait...';
end;

procedure TForm17.Clear1Click(Sender: TObject);
begin
ListView4.Items.BeginUpdate;
ListView4.Items.Clear;
ListView4.Items.EndUpdate;
end;

end.
